Bug 247481

Summary: macbook pro screen and keyboard backlight controls dont work
Product: [Fedora] Fedora Reporter: Vivek Lakshmanan <viveklak>
Component: halAssignee: David Zeuthen <davidz>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: 7CC: mclasen, richard, ruben, swagiaal, triage
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-06-16 21:50:05 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Vivek Lakshmanan 2007-07-09 11:42:37 EDT
Description of problem:
macbook/macbook pro screen and keyboard backlight controls don't work.
It seems the following files arent shipped in hal-0.5.9-8.fc7:
/usr/share/hal/fdi/policy/10osvendor/10-macbook-backlight.fdi
/usr/share/hal/fdi/policy/10osvendor/10-macbookpro-utils.fdi

Rebuilding the rpm with --with-macbookpro --with-macbook added to configure
fixed it for me, though these are supposedly on by default?

Version-Release number of selected component (if applicable):
hal-0.5.9-8.fc7

How reproducible:
Always

Steps to Reproduce:
1. Use the screen brightness controls on a macbook pro
  
Actual results:
Doesnt work

Expected results:
Should work
Comment 1 Ruben Kerkhof 2008-02-09 05:54:12 EST
The files are there now in hal-0.5.10-4.fc9
Comment 2 Bug Zapper 2008-05-14 09:28:31 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Richard Hughes 2008-05-30 07:44:24 EDT
Working with F9 now?
Comment 4 Bug Zapper 2008-06-16 21:50:03 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.